Planning Your Small Business Server Installation


About this Tour

Upgrade Path/Growth Strategy

Installation Details

Hardware Requirements

Collect Information

Learn More


About this Tour

This tour provides a short introduction to installing Small Business Server 2000.

You may navigate through this tour using the buttons above or by clicking the links to the left.

This tour will explain the following:

  • Upgrade paths
  • Installation details
  • Hardware
  • Setup information collection

At the end of the tour, additional information about installing Small Business Server 2000 is listed on the Learn More page, which may include links to Web resources, links to Help topics or other tours, references to the Small Business Server 2000 Planning and Installation guide, and additional reference material such as Knowledge Base articles and Microsoft Press publications.


Upgrade Path

There are two upgrade paths to Small Business Server 2000.

An in-place upgrade involves upgrading an existing Small Business Server 4.5 or Windows 2000 Server installation to Small Business Server 2000. For this upgrade, follow the process outlined in Small Business Server 2000 Planning and Installation, Chapter 15, "Upgrading to Small Business Server 2000."

A migration upgrade involves upgrading an existing Small Business Server installation, but completing the upgrade to a new computer. For this upgrade, follow the process outlined in the upgrade white paper located on Small Business Server setup disc 1 in the \upgrade folder.


Installation Details

Before you begin your Small Business Server 2000 installation, you should consider several details. These are items easily forgotten, but nonetheless important.

Drivers: You must acquire the most recent, Windows 2000-compatible device drivers for all of your system hardware. Check with the original device manufacturers for driver updates.

Backup: If you are upgrading to Small Business Server 2000, you should back up all critical data on your system and test your backup to ensure data integrity before proceeding.

Uninterruptible Power Supply (UPS): In the event of a power outage, a UPS will provide your server with enough backup power to save your data and safely shut down.

Allow for Growth: As you plan your Small Business Server 2000 installation, remember the future. You may have only 15 employees now, but in a year or two you may have 40. Plan your installation for 40. It will save you time and money later.


Hardware Requirements

Before you install Microsoft Small Business Server 2000, verify that your server computer has the required processor, memory, disk space, and page file capacity. Ensure also that all of your hardware is supported and appears on the latest Microsoft Hardware Compatibility List.

The minimum hardware requirements for Small Business Server are displayed to the right. For recommendations, click a link below:

  • Recommended Hardware
  • Best Practices


Minimum Hardware
Pentium II 300-MHz or compatible processor
128 MB RAM
4 GB available hard disk space
CD-ROM drive
1 Network adapter card
Video graphics adapter capable of 256 colors and 800 X 600 pixels


Recommended Hardware
Pentium III 500-MHz or compatible processor
256 MB RAM
2 mirrored 4-GB (or higher) hard disks
2 modems: 1 for Shared Fax, 1 for Remote Access, Shared Modem, and ISA dial-up


Best Practices

Hardware is the most common cause of performance stoppage for a Small Business Server network. You can optimize the performance of Small Business Server components—especially Microsoft Exchange 2000 Server and Microsoft SQL Server™ 2000—by considering the following best practices:

RAM. Additional physical memory is often the key to improved performance, especially for Exchange 2000 Server. For the best increase in performance, increase system RAM.

Hardware RAID. Using multiple fast-SCSI drives (7200 RPM or faster) and individual SCSI disk controllers can improve I/O processing as well as read/write times. If you are running SQL Server 2000 on your Small Business Server network, consider using hardware RAID.

Paging File. Spreading your paging file across multiple disks improves virtual memory access.


Learn More

You have now finished the Planning Your Small Business Server Installation tour. See below for additional information.

Web sites

Small Business Server

Hardware Compatibility List

Windows 2000 Compatibility

Knowledge Base Search

Microsoft Technet

Microsoft Press

Online Help

Features at a Glance

Links to Product Home Pages

Additional Tours

Introducing Small Business Server

Deploying Client Applications

Microsoft Press Web Links

Windows 2000 Resource Kit


Planning Guide

Microsoft Small Business Server 2000 Planning and Installation:

Chapter 14, "Preparing to Install Small Business Server 2000"

Chapter 15, "Upgrading to Small Business Server 2000"

Chapter 16, "Installing Small Business Server 2000"

Planning and Installation Online


Collect Information

Before starting your installation, you should collect the information you will need to complete Small Business Server Setup. Use the Quick Start Card, included in your Small Business Server 2000 packaging, or the setup worksheets found in Small Business Server Planning and Installation, "Appendix C" to determine what information you will need and then record the information you collect.